# $Revision: 1.18 $, $Date: 2012/06/23 12:21:49 $
Summary:	The pslib C-library to create PostScript on the fly
Summary(pl.UTF-8):	Biblioteka do generowania w locie plików PostScript
Name:		pslib
Version:	0.4.5
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pslib/%{name}-%{version}.tar.gz
# Source0-md5:	03f39393628a6d758799b9f845047e27
URL:		http://pslib.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-to-man
BuildRequires:	docbook-utils
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	glib2-devel
BuildRequires:	intltool
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pslib is a C-library to create PostScript files on the fly. It offers
many drawing primitives, inclusion of PNG and EPS images and a very
sophisticated text rendering including hyphenation, kerning and
ligatures. It can read external Type1 fonts and embed them into the
output file. It supports pdfmarks which makes it in combination with
ghostscript's pdfwriter an alternative for libraries creating PDF.

%description -l pl.UTF-8
pslib to biblioteka C do tworzenia w locie plików PostScript. Oferuje
rysowanie wielu prymitywów, włączanie obrazów PNG i EPS oraz bardzo
wyszukane renderowanie tekstu włącznie z przenoszeniem, kerningiem i
ligaturami. Może wczytywać zewnętrzne fonty Type1 i osadzać je w pliku
wyjściowym. Obsługuje pdfmarki, co, w połączeniu z pdfwriterem z
ghostscripta, czyni ją alternatywą dla bibliotek tworzących PDF.

%package devel
Summary:	Development files for the pslib C-library to create PostScript
Summary(pl.UTF-8):	Pliki programistyczne dla biblioteki C pslib tworzącej PostScript
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for the pslib C-library to create PostScript files
on the fly.

%description devel -l pl.UTF-8
Pliki programistyczne dla biblioteki C pslib tworzącej w locie pliki
PostScript.

%package static
Summary:	Static pslib library
Summary(pl.UTF-8):	Statyczna biblioteka pslib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static pslib library.

%description static -l pl.UTF-8
Statyczna biblioteka pslib.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libps.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libps.so.0
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libps.so
%{_libdir}/libps.la
%{_includedir}/libps
%{_pkgconfigdir}/libps.pc
%{_mandir}/man3/pslib.3*
%{_mandir}/man3/PS_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libps.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pslib.spec,v $
Revision 1.18  2012/06/23 12:21:49  kiesiu
- updated to 0.4.5
- png14 applied upstream
- change Source0 url to SF

Revision 1.17  2012/02/12 11:28:19  adamg
- release 4

Revision 1.16  2011/12/20 19:39:20  arekm
- release 3

Revision 1.15  2010/06/03 22:12:35  glen
- libpng14 fix
- update debian source url

Revision 1.14  2010/06/03 22:00:53  glen
- up to 0.4.3 using pslib sources

Revision 1.13  2010/06/03 21:39:37  glen
- verbose files; ghost soname symlinks

Revision 1.12  2010/06/03 21:37:32  glen
- BR giflib,libjpeg,libpng,libtiff; rel 3

Revision 1.11  2010/02/09 01:03:50  sparky
- BR: docbook-to-man, docbook-utils, gettext-devel, glib2-devel, intltool

Revision 1.10  2010/02/06 21:10:57  arekm
- release 2

Revision 1.9  2009/07/14 20:06:04  arekm
- up to 0.4.1

Revision 1.8  2009/07/12 13:28:01  arekm
- release 3

Revision 1.7  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.5  2005/02/18 19:19:45  qboosh
- pl, unified, cleanup; release 2

Revision 1.4  2005/02/17 19:24:38  darekr
- fixed Source0, ehm md5sum was good. Sleep, chrr chrr

Revision 1.3  2005/02/17 18:39:08  darekr
- fixed md5

Revision 1.2  2005/02/17 18:28:00  darekr
- BR: ac,am

Revision 1.1  2005/02/17 17:45:45  djurban
- initial, wanted by yzis
